## mingw-w64-libconfig-1.8.2-1.src.tar.zst

=== tinytest/CMakeLists.txt ===
add_library(libtinytest STATIC
    tinytest.c tinytest.h)

target_include_directories(libtinytest
    PUBLIC
        $<INSTALL_INTERFACE:.>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

if(CMAKE_HOST_WIN32)
    if(MSVC)
        set_target_properties(libtinytest
            PROPERTIES
                COMPILE_FLAGS "/wd4996"
            )
    endif()
endif()

=== examples/c++/CMakeLists.txt ===
if(CMAKE_HOST_WIN32)
    set(libname "libconfig")
else()
    set(libname "config")
endif()

add_executable(c++_example1	example1.cpp )
add_executable(c++_example2	example2.cpp )
add_executable(c++_example3	example3.cpp )
add_executable(c++_example4	example4.cpp )

target_link_libraries(c++_example1 ${libname}++ )
target_link_libraries(c++_example2 ${libname}++ )
target_link_libraries(c++_example3 ${libname}++ )
target_link_libraries(c++_example4 ${libname}++ )

=== PKGBUILD ===
# Maintainer: Martell Malone <martellmalone@gmail.com>

_realname=libconfig
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.8.2
pkgrel=1
pkgdesc="C/C++ Configuration File Library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/hyperrealm/libconfig"
license=('spdx:LGPL-2.1-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-autotools")
options=('!emptydirs')
source=("https://github.com/hyperrealm/libconfig/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz"
        "001-mingw-fixes.patch")
sha256sums=('8e71983761b08c65b15b769b3ec1d980036c461fdfd415c7183378a4b3eac8f4'
            '62b569bcbdf31fb87a2a70f7ec0396563225b2be107762818098c59e9a2a0b21')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  patch -Np1 -i "${srcdir}/001-mingw-fixes.patch"

  autoreconf -fiv
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  CFLAGS+=" -Wno-implicit-function-declaration" \
  ../${_realname}-${pkgver}/configure \
    --prefix=${MINGW_PREFIX} \
    --disable-examples \
    --enable-shared \
    --enable-static

  make lib
}

package() {
  cd "${srcdir}/build-${MSYSTEM}/lib"

  make DESTDIR="${pkgdir}" install

  install -Dm644 "${srcdir}"/${_realname}-${pkgver}/LICENSE \
    "${pkgdir}"${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE
}
